Skip to content
View as Markdown

POST Create Campaign​

POST
/campaigns

Create a new email campaign. If no title is provided, an auto-generated unique title (e.g., 'Untitled', 'Untitled 2') is assigned. The campaign is created in draft status and returned with its template and subjects relations loaded.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Request Body​

application/json
JSON
{
"title": "string"
}

Responses​

Campaign created successfully.

application/json
JSON
{
"id": 0,
"title": "string",
"slug": "string",
"status": "string",
"template_id": 0,
"email_subject": "string",
"email_pre_header": "string",
"email_body": "string",
"settings": {
},
"created_at": "string",
"updated_at": "string",
"template": {
},
"subjects": [
{
}
]
}

Playground​

Authorization
Body

Samples​

Powered by VitePress OpenAPI